Setting up dev environment.

Discussions of the development process of the game.
User avatar
fifa1988
Posts: 26
Joined: Mon Jan 29, 2018 4:30 pm
android_version: 6.0 - Marshmallow
Location: Brazil - PE
Contact:

Setting up dev environment.

Post by fifa1988 » Thu Feb 15, 2018 4:31 pm

I'm joining with you to help with game development. I tried configure Android studio but my version is 3.x and i take a fill problems. In talk with zukero he said that i need version 2.x or eclipse with ADT Plugin. I'm installing and setting plugin adt / sdk in eclipse to run project. All maked.
I'll make a test that have in forum for new developers.
As i work durin day, i only can do it at night :D

User avatar
rijackson741
Posts: 2245
Joined: Tue Aug 20, 2013 2:04 am
android_version: 9.0 - Pie
Location: Somewhere in Dhayavar

Re: Translation to Brazilian Portuguese

Post by rijackson741 » Thu Feb 15, 2018 10:54 pm

Here's a download link to AS 2.2.3.
https://www.dropbox.com/s/5o1aqobsmnajr ... s.exe?dl=0
Level: 64, XP: 4734786, HP: 196, AC: 246%, AD: 49-59, AP: 3, ECC: 25%, CM: 3, BC: 127%, DR: 2
Gold: 232355 | RoLS: 1, RoL: 1, GoW: 1
HH: 1, CS: 2, IF: 4, Ev: 3, Re: 2, WP:DA: 1, WP:1S: 1, AP:L: 1, FS:DW: 2, S:DW: 1
SR

User avatar
fifa1988
Posts: 26
Joined: Mon Jan 29, 2018 4:30 pm
android_version: 6.0 - Marshmallow
Location: Brazil - PE
Contact:

Re: Translation to Brazilian Portuguese

Post by fifa1988 » Fri Feb 16, 2018 2:35 am

Thank you. I'm finishing of setting the eclipse, i have a little problemas with instalation of SDK and version API 19. But i'm trying fix it. If later all work in the try with eclipse fail. I do download of this version.

User avatar
fifa1988
Posts: 26
Joined: Mon Jan 29, 2018 4:30 pm
android_version: 6.0 - Marshmallow
Location: Brazil - PE
Contact:

Re: Translation to Brazilian Portuguese

Post by fifa1988 » Fri Feb 16, 2018 10:25 am

HEy there! I'm taking this error when i try run the project in eclipse:
Errors occurred during the build.
Errors running builder 'Android Package Builder' on project 'AndorsTrail'.
sun/misc/BASE64Encoder


The project is compiling in version 1.6
My android - Project build target Have many versions.. i tried with android 4.4.2 API 19 and android 5.01 api 21 both
Java Build Path is Android 4.4.2 as library and android dependecies and android private libraries.
I tried setting AVD with Platform 4.4.2 , API 19, CPU/ABI Intel Atom (x86)
I tried setting AVD with Platform 5.0.1 , API 21, CPU/ABI Intel Atom (x86)
I tried setting AVD with Platform 5.0.1 , API 21, CPU/ABI Intel Atom (x64)

I really no have much experience with android. I think that i go use this version =/
Post by rijackson741 » Thu Feb 15, 2018 8:54 pm
Here's a download link to AS 2.2.3.
https://www.dropbox.com/s/5o1aqobsmnajr ... s.exe?dl=0

I'm frustrating for try 2 days set the environment and no can make it. I tried many thing, until search in forums to fix errors but without success HAHAHA

However i'm doing download of version in dropbox o rijackson741 .

User avatar
rijackson741
Posts: 2245
Joined: Tue Aug 20, 2013 2:04 am
android_version: 9.0 - Pie
Location: Somewhere in Dhayavar

Re: Translation to Brazilian Portuguese

Post by rijackson741 » Fri Feb 16, 2018 1:57 pm

For AS, a couple of tips:

To create a new project based on existing sources, use “File”, New”, “Import project”.

If there’s an error about choosing the SDK when trying to run the emulator, go to “File”, “Project Structure”, “Project” and choose the SDK there.
Level: 64, XP: 4734786, HP: 196, AC: 246%, AD: 49-59, AP: 3, ECC: 25%, CM: 3, BC: 127%, DR: 2
Gold: 232355 | RoLS: 1, RoL: 1, GoW: 1
HH: 1, CS: 2, IF: 4, Ev: 3, Re: 2, WP:DA: 1, WP:1S: 1, AP:L: 1, FS:DW: 2, S:DW: 1
SR

User avatar
fifa1988
Posts: 26
Joined: Mon Jan 29, 2018 4:30 pm
android_version: 6.0 - Marshmallow
Location: Brazil - PE
Contact:

Re: Setting up dev environment.

Post by fifa1988 » Fri Feb 16, 2018 2:50 pm

Thank you your help. At night i'll make this.

User avatar
fifa1988
Posts: 26
Joined: Mon Jan 29, 2018 4:30 pm
android_version: 6.0 - Marshmallow
Location: Brazil - PE
Contact:

Re: Setting up dev environment.

Post by fifa1988 » Sat Feb 17, 2018 3:41 am

What skd i use with Android Studio? In viewtopic.php?f=6&t=4560#p46641 no say much about this setting with this IDE.
I tried many version sdk and the project no run because this error: https://uploaddeimagens.com.br/imagens/error-jpg--112

The configuration file of configuration here are:
APP file: https://uploaddeimagens.com.br/imagens/app-jpg--16
Dependencies file: https://uploaddeimagens.com.br/imagens/dependencies-jpg
Gradle-wapper.properties file: https://uploaddeimagens.com.br/imagens/ ... wapper-jpg
Manifest file: https://uploaddeimagens.com.br/imagens/manifest-jpg--2

This settings i changed many times but nothing...
I'm using USB mode but the project run.
I tried change the settings of app many and nothing.
The aplication no run because of the error.

User avatar
rijackson741
Posts: 2245
Joined: Tue Aug 20, 2013 2:04 am
android_version: 9.0 - Pie
Location: Somewhere in Dhayavar

Re: Setting up dev environment.

Post by rijackson741 » Sat Feb 17, 2018 12:32 pm

I am no expert in AS, but:
1) Which version are you using? 2.2.3, or 3.x.x? 3.x.x versions of AS do not like the folder structure of AT, so you need to use 2.2.3.
2) AS will keep asking if you want to migrate the project to Gradle. Did you do that? If you did, I suspect that may be the problem.

For the SDK, I'm using Android API platform 24. It's not the recommended one, but it works.
Level: 64, XP: 4734786, HP: 196, AC: 246%, AD: 49-59, AP: 3, ECC: 25%, CM: 3, BC: 127%, DR: 2
Gold: 232355 | RoLS: 1, RoL: 1, GoW: 1
HH: 1, CS: 2, IF: 4, Ev: 3, Re: 2, WP:DA: 1, WP:1S: 1, AP:L: 1, FS:DW: 2, S:DW: 1
SR

User avatar
Zukero
Lead Developer
Posts: 1779
Joined: Thu Jul 21, 2011 9:56 am
android_version: 8.0
Location: Eclipse

Re: Setting up dev environment.

Post by Zukero » Sat Feb 17, 2018 12:39 pm

Good news, you reached an error I know.

You probably accepted the migration to gradle. The latest versions of gradle enforce that all files under the res/xml folder end in .xml while we place the .tmx files for maps there.

I'd suggest deleting the project from AS, and recreating it from clean sources from github. This time, refuse the migration to gradle.
Lvl: 78, XP: 8622632, Gold: 271542, RoLS: 1, ElyR: -, RoL: -, ChaR: 1, GoLF: 1, ShaF: 1, SRoV: 1, VSH: 1, WMC: 1, GoW: 1
HP: 71, AC: 301%, AD: 38-47, AP: 3, ECC: 50%, CM: 3.75, BC: 101%, DR: 2

User avatar
rijackson741
Posts: 2245
Joined: Tue Aug 20, 2013 2:04 am
android_version: 9.0 - Pie
Location: Somewhere in Dhayavar

Re: Setting up dev environment.

Post by rijackson741 » Sat Feb 17, 2018 1:26 pm

Zukero wrote:
Sat Feb 17, 2018 12:39 pm
You probably accepted the migration to gradle. The latest versions of gradle enforce that all files under the res/xml folder end in .xml while we place the .tmx files for maps there.
You have confirmed my suspicions :)
Level: 64, XP: 4734786, HP: 196, AC: 246%, AD: 49-59, AP: 3, ECC: 25%, CM: 3, BC: 127%, DR: 2
Gold: 232355 | RoLS: 1, RoL: 1, GoW: 1
HH: 1, CS: 2, IF: 4, Ev: 3, Re: 2, WP:DA: 1, WP:1S: 1, AP:L: 1, FS:DW: 2, S:DW: 1
SR

Post Reply